Create Professional Clone
Starts asynchronous professional voice training from WAV or MP3 recordings. Send the recordings, display name, supported TTS model, and an ISO 639-3 language code as multipart/form-data.
Audio requirements
- One WAV or MP3 file
- File size: 1 GiB or less
- Duration: 5 minutes to 3 hours
- Sample rate: 16 kHz or higher
A successful request returns 202 Accepted with status: training. Poll GET /v1/custom-voices/{voice_id} until the status becomes completed or failed.
Training may take up to two hours. You’ll receive an email when custom voice training is complete or if it fails.
/v1/custom-voices/professional-cloneAuthorizations
X-API-KEYstringheaderrequiredAPI key for authentication. You can obtain an API key from the Typecast API Console.
Multipart request body for professional voice cloning.
namestringrequiredVoice name, up to 30 characters.
filesstring[]requiredWAV or MP3 recordings used for training. Only one file can be uploaded.
Upload limits
- One WAV or MP3 file
- File size: 1 GiB or less
- Duration: 5 minutes to 3 hours
- Sample rate: 16 kHz or higher
For best results, we recommend audio that meets the following conditions:
- Record in a speaking style that closely matches how you want the generated voice to sound.
- Record in a quiet environment without background noise.
- Include only one speaker.
- Record in the language specified in the
languagefield. - Longer input audio results in higher-quality generated voices.
modelssfm-v30 | ssfm-v21requiredTTS model version.
ssfm-v30ssfm-v21languagestringrequiredISO 639-3 language code, such as kor or eng.
Response
202Professional clone training started successfullyapplication/json
namestringVoice name.
modelstringTTS model version.
statuspending | training | completed | failedCurrent creation or training status.
pendingtrainingcompletedfailedvoice_idstringUnique custom voice identifier with the uc_ prefix.